Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.types
Class StringEditFeatureVectorSequence

    java.lang.Object
      cc.mallet.types.FeatureVectorSequence
          cc.mallet.types.StringEditFeatureVectorSequence

All Implemented Interfaces:
  AlphabetCarrying, Sequence<FeatureVector>, java.io.Serializable

    public class StringEditFeatureVectorSequence

extends FeatureVectorSequence
implements java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class cc.mallet.types.FeatureVectorSequence
`FeatureVectorSequence.Iterator`

Constructor Summary
`StringEditFeatureVectorSequence(FeatureVector[] featureVectors, java.lang.String s1, java.lang.String s2)`
`StringEditFeatureVectorSequence(FeatureVector[] featureVectors, java.lang.String s1, java.lang.String s2, char delimiter)`
`StringEditFeatureVectorSequence(FeatureVector[] featureVectors, java.lang.String s1, java.lang.String s2, char delimiter, java.util.HashMap lexic)`
`StringEditFeatureVectorSequence(FeatureVector[] featureVectors, java.lang.String s1, java.lang.String s2, java.util.HashMap lexic)`

Method Summary
`java.lang.String` | `getString1()`
`java.lang.String` | `getString1BlockAtIndex(int idx)`
`char` | `getString1Char(int index)`
`int` | `getString1EOBIndex(java.lang.String delimiter)`
`int` | `getString1EOBIndex(java.lang.String delimiter, int start)`
`int` | `getString1IndexOf(java.lang.String str, int start)`
`int` | `getString1Length()`
`java.lang.String` | `getString2()`
`java.lang.String` | `getString2BlockAtIndex(int idx)`
`char` | `getString2Char(int index)`
`int` | `getString2EOBIndex(java.lang.String delimiter)`
`int` | `getString2EOBIndex(java.lang.String delimiter, int start)`
`int` | `getString2IndexOf(java.lang.String str, int start)`
`int` | `getString2Length()`
`boolean` | `isInLexicon(java.lang.String str)`
`boolean` | `isPresent1(java.lang.String patternStr)`
`boolean` | `isPresent2(java.lang.String patternStr)`
`boolean` | `isPresentInString1(java.lang.String str)`
`boolean` | `isPresentInString2(java.lang.String str)`
`java.lang.String` | `toString()`

Methods inherited from class cc.mallet.types.FeatureVectorSequence
`dotProduct, dotProduct, get, getAlphabet, getAlphabets, getFeatureVector, iterator, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringEditFeatureVectorSequence

    public StringEditFeatureVectorSequence(FeatureVector[] featureVectors,
                                           java.lang.String s1,
                                           java.lang.String s2)

### StringEditFeatureVectorSequence

    public StringEditFeatureVectorSequence(FeatureVector[] featureVectors,
                                           java.lang.String s1,
                                           java.lang.String s2,
                                           char delimiter)

### StringEditFeatureVectorSequence

    public StringEditFeatureVectorSequence(FeatureVector[] featureVectors,
                                           java.lang.String s1,
                                           java.lang.String s2,
                                           java.util.HashMap lexic)

### StringEditFeatureVectorSequence

    public StringEditFeatureVectorSequence(FeatureVector[] featureVectors,
                                           java.lang.String s1,
                                           java.lang.String s2,
                                           char delimiter,
                                           java.util.HashMap lexic)

Method Detail

### getString1

    public java.lang.String getString1()

### getString2

    public java.lang.String getString2()

### getString1Length

    public int getString1Length()

### getString2Length

    public int getString2Length()

### getString1EOBIndex

    public int getString1EOBIndex(java.lang.String delimiter)

### getString1EOBIndex

    public int getString1EOBIndex(java.lang.String delimiter,
                                  int start)

### getString1BlockAtIndex

    public java.lang.String getString1BlockAtIndex(int idx)

### getString1IndexOf

    public int getString1IndexOf(java.lang.String str,
                                 int start)

### isPresent1

    public boolean isPresent1(java.lang.String patternStr)

### isPresentInString1

    public boolean isPresentInString1(java.lang.String str)

### getString1Char

    public char getString1Char(int index)

### getString2EOBIndex

    public int getString2EOBIndex(java.lang.String delimiter)

### getString2EOBIndex

    public int getString2EOBIndex(java.lang.String delimiter,
                                  int start)

### getString2BlockAtIndex

    public java.lang.String getString2BlockAtIndex(int idx)

### isPresentInString2

    public boolean isPresentInString2(java.lang.String str)

### getString2IndexOf

    public int getString2IndexOf(java.lang.String str,
                                 int start)

### isPresent2

    public boolean isPresent2(java.lang.String patternStr)

### getString2Char

    public char getString2Char(int index)

### isInLexicon

    public boolean isInLexicon(java.lang.String str)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FeatureVectorSequence`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD